> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a wellness plan subscription

> Retrieves a single wellness plan on the ID provided



## OpenAPI

````yaml GET /wellnessPlanSubscriptions/{id}
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /wellnessPlanSubscriptions/{id}:
    get:
      description: Retrieves a single wellness plan on the ID provided
      parameters:
        - name: id
          in: path
          description: ID of wellness plan to retrieve
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Retrieves a single plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plan'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Plan:
      type: object
      example:
        id: 18221470-5b01-4ec8-8766-c823dd5bc9d3
        status: Active
        autoRenew: true
        wellnessPlanSubscriptionStatus: Active
        selectedPractice:
          id: the_schwarzman_animal_medical_center
          businessName: The Schwarzman Animal Medical Center
          type: emergencyPractice
          email:
            work: aimythcorp@gmail.com
          phone:
            main: '+18328156279'
            fax: null
        selectedPatient:
          species: Dog
          firstName: Tony
          lastName: King
          patientName: Tony  King
          type: patientDog
          id: 7f7053a0-b238-4d15-b342-3ea6ca2b56c2
        subscriptionDetails:
          items:
            service1:
              service: Senior Dog Plan
              ageGroup: Senior (7 to 10 Years)
              price: $60.00
              qty: 1
              tax: $3.00
              total: $60.00
              imageUrl: >-
                https://d24s7ywwar9ske.cloudfront.net/e74014df-d5a8-4250-aa74-3b0c299e3a2c
          subTotal: '60.00'
          taxTotal: '3.00'
          total: '60.00'
        selectedService:
          id: 7af8d1ae-57de-42ab-a58a-bcf3e43f7184
          type: wellnessPlan
          title: Senior Dog Plan
          species: Dog
          ageGroup: Senior (7 to 10 Years)
        paymentDetails:
          id: pm_1OICPQFqoVWwtVyeJtH6fYBS
          billingDetails:
            address:
              streetAddress: ''
              city: ''
              state: ''
              country: US
              zip: '10022'
            email: ''
            name: ''
            phone: ''
          card:
            brand: visa
            country: US
            expMonth: 12
            expYear: 2028
            funding: credit
            last4: '4242'
          created: 1701359052
          type: paymentMethod
          paymentType: card
          default: null
          isDefault: false
          defaultValue: pm_1OICPQFqoVWwtVyeJtH6fYBS
          paymentId: pm_1OICPQFqoVWwtVyeJtH6fYBS
          customer:
            customerHolder:
              id: 8b70d359-89c2-40af-9619-28fd015574a2
              type: petparent
            type: customer
            id: 0822e4b9-dace-48de-8ec8-9c3c32726bfa
            customerId: cus_P6PDtw75WDJBr2
        selectedClient:
          id: 12b5c20c-9092-4a6a-a130-1c1ef61adc80
          type: client
          firstName: Martin
          lastName: Lewis
          fullName: Martin Lewis
          phone:
            home: '+18328156279'
          email:
            main: petparent.cuddles+lewis@gmail.com
        subscriptionPeriod: Monthly
        planDate: '2023-12-01T15:50:41+05:30'
        planEndDate: '2032-09-01T10:20:42.540Z'
        subscription:
          id: sub_1OITpvFqoVWwtVyeOaL3eRlE
          type: subscription
        type: wellnessPlanSubscription
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.